Subject: Re: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Robert Pluim <[email-masked]>
Date: Fri, 28 Feb 2020 22:22:15 +0100

>>>>> On Fri, 28 Feb 2020 22:55:10 +0200, Eli Zaretskii <[email-masked]> said:

    >> From: Robert Pluim <[email-masked]>
    >> Cc: [email-masked],  [email-masked]
    >> Date: Fri, 28 Feb 2020 21:38:07 +0100
    >> 
    >> (set-fontset-font "fontset-default" '(#x2460 . #x24FF)
    >> '("Noto Color Emoji" . "iso10646-1") nil
    >> 'prepend)
    >> 
    >> gives me:
    >> 
    >> Debugger entered--Lisp error: (error "Fontset ‘default-fontset’ does not exist")
    >> set-fontset-font("default-fontset" (9312 . 9471) ("Noto Color Emoji" . "iso10646-1") nil prepend)
    >> (progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Color Emoji" . "iso10646-1") nil 'prepend))
    >> eval((progn (set-fontset-font "default-fontset" '(9312 . 9471) '("Noto Color Emoji" . "iso10646-1") nil 'prepend)) t)

    Eli> You used "default-fontset" instead of "fontset-default", thus the
    Eli> error.

D'oh. Friday night strikes again :-)

With that fixed, neither the range or specific char variant makes any
difference, I need to use nil.

One other thing: the #x24C2 is not composed with the following #xFE0F
when itʼs displayed using Google Noto Sans. If I get it to display
with Noto Color Emoji it *is* composed, even though I haven't set up
any composition-function-table entries for it. Where is that
composition coming from?

Robert